Subject: Re: bug#36459: 27.0.50; octave-mode ElDoc support bug

From: Dmitry Gutov <[email-masked]>
Date: Wed, 3 Jul 2019 17:43:45 +0300

Paging the original author.

Leo, are you still using Octave? What do you think about the issue?

On 01.07.2019 17:58, Mauro Aranda wrote:
> Hello
> 
> Recipe to reproduce the bug:
> 1) emacs -Q
> 2) M-x run-octave
> 3) Type something that doesn't involve a octave function call, like the
> following matrix. Type it slowly, to give octave-eldoc-function time to run:
> A = [10 1;2 3]
> 
> (Of course, if you don't want to type slowly, set eldoc-idle-delay to 0).
> 
> 4) When point is past a whitespace, such as in:
> A |=
> (with | being where point is)
> the echo area displays: 'A' not found
> Similar situation when point is at:
> A = [10 |1;2 3]
> Echo area here displays: '10' not found.
> 
> So, for every symbol that is not a function, 'not found' might be
> displayed.  I think it is a bug, since as a a user I would expect that
> if I'm not about to call a function, ElDoc shouldn't be displaying
> anything.
> 
> Best regards,
> Mauro.